Package org.apache.maven.scm.provider.hg.command.add

## Class HgAddCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.add.AbstractAddCommand
    - - org.apache.maven.scm.provider.hg.command.add.HgAddCommand

All Implemented Interfaces:
  `Command`

    public class HgAddCommand
    extends AbstractAddCommand
    implements Command

Add no recursive.

Author:
  thurner rupert

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`HgAddCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ScmResult` `executeAddCommand​(ScmProviderRepository repo, ScmFileSet fileSet, java.lang.String message, boolean binary)`

### Methods inherited from class org.apache.maven.scm.command.add.AbstractAddCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### HgAddCommand

    public HgAddCommand()

### Method Detail

#### executeAddCommand

    protected ScmResult executeAddCommand​(ScmProviderRepository repo,
                                          ScmFileSet fileSet,
                                          java.lang.String message,
                                          boolean binary)
                                   throws ScmException

Specified by:
  `executeAddCommand` in class `AbstractAddCommand`
Throws:
  `ScmException`